Bug 739497 - Push fails for ec2,rhevm,vsphere
Summary: Push fails for ec2,rhevm,vsphere
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: CloudForms Cloud Engine
Classification: Retired
Component: aeolus-conductor
Version: 1.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
Assignee: Angus Thomas
QA Contact: wes hayutin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-19 09:35 UTC by Aziza Karol
Modified: 2012-01-26 12:15 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-07 12:50:13 UTC


Attachments (Terms of Use)

Description Aziza Karol 2011-09-19 09:35:38 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Build Image
2. aeolus-image push --provider us-east-1 --id 91151cb3-0b99-4bfc-bed9-c21a99de7d25

  
Actual results:
#aeolus-image push --provider us-east-1 --id 91151cb3-0b99-4bfc-bed9-c21a99de7d25
2011-09-19 03:16:42,887 DEBUG imagefactory.qmfagent.ImageFactoryAgent.ImageFactoryAgent pid(3446) Message: Method called: name = push_image 
 args = {'credentials': '*** REDACTED ***', 'image': '91151cb3-0b99-4bfc-bed9-c21a99de7d25', 'build': '', 'providers': ['ec2-us-east-1']} 
 handle = <cqmf2.AgentEvent; proxy of <Swig Object of type 'qmf::AgentEvent *' at 0x34d47e0> > 
 addr = redhat.com:imagefactory:5afd1abf-7e1d-4cd1-8411-349429c3ed3e:image_factory 
 subtypes = {} 
 userId = anonymous
2011-09-19 03:16:42,888 DEBUG imagefactory.ImageWarehouse.ImageWarehouse pid(3446) Message: Getting metadata (['latest_unpushed']) from http://localhost:9090/images/91151cb3-0b99-4bfc-bed9-c21a99de7d25
2011-09-19 03:16:42,889 DEBUG imagefactory.ImageWarehouse.ImageWarehouse pid(3446) Message: Querying (http://localhost:9090/target_images/_query) with expression ($build == "ccfbd1d8-4737-4a9d-8f19-e830a08d78b9" && $target == "ec2")
2011-09-19 03:16:42,895 DEBUG imagefactory.ImageWarehouse.ImageWarehouse pid(3446) Message: Getting metadata (['template']) from http://localhost:9090/target_images/f4835b59-5f0d-4142-8b20-704315232d3b
2011-09-19 03:16:42,897 DEBUG imagefactory.ImageWarehouse.ImageWarehouse pid(3446) Message: Created Image Warehouse instance http://localhost:9090 - buckets(target_images, templates, icicles, provider_images)
2011-09-19 03:16:42,902 DEBUG imagefactory.ImageWarehouse.ImageWarehouse pid(3446) Message: Created Image Warehouse instance http://localhost:9090 - buckets(target_images, templates, icicles, provider_images)
2011-09-19 03:16:42,907 DEBUG oz.Guest.FedoraRemoteGuest pid(3446) Message: Name: Fedora 15-d5262a41-acf7-4736-bee1-da7727e43525, UUID: 9e1942b2-bfbd-4300-a525-a2d07a7cc16b
2011-09-19 03:16:42,908 DEBUG oz.Guest.FedoraRemoteGuest pid(3446) Message: MAC: 52:54:00:4f:50:8f, distro: Fedora
2011-09-19 03:16:42,908 DEBUG oz.Guest.FedoraRemoteGuest pid(3446) Message: update: 15, arch: x86_64, diskimage: /var/tmp/Fedora 15-d5262a41-acf7-4736-bee1-da7727e43525.dsk
2011-09-19 03:16:42,908 DEBUG oz.Guest.FedoraRemoteGuest pid(3446) Message: nicmodel: virtio, clockoffset: utc
2011-09-19 03:16:42,908 DEBUG oz.Guest.FedoraRemoteGuest pid(3446) Message: mousetype: ps2, disk_bus: virtio, disk_dev: vda
2011-09-19 03:16:42,908 DEBUG oz.Guest.FedoraRemoteGuest pid(3446) Message: icicletmp: /var/lib/oz/icicletmp/Fedora 15-d5262a41-acf7-4736-bee1-da7727e43525, listen_port: 18185
2011-09-19 03:16:42,908 DEBUG oz.Guest.FedoraRemoteGuest pid(3446) Message: Original ISO path: /var/lib/oz/isos/Fedora15x86_64-url.iso
2011-09-19 03:16:42,909 DEBUG oz.Guest.FedoraRemoteGuest pid(3446) Message: Modified ISO cache: /var/lib/oz/isos/Fedora15x86_64-url-oz.iso
2011-09-19 03:16:42,909 DEBUG oz.Guest.FedoraRemoteGuest pid(3446) Message: Output ISO path: /var/tmp/Fedora 15-d5262a41-acf7-4736-bee1-da7727e43525-url-oz.iso
2011-09-19 03:16:42,909 DEBUG oz.Guest.FedoraRemoteGuest pid(3446) Message: ISO content path: /var/lib/oz/isocontent/Fedora 15-d5262a41-acf7-4736-bee1-da7727e43525-url
2011-09-19 03:16:43,446 DEBUG oz.Guest.FedoraRemoteGuest pid(3446) Message: Original URL http://download.fedoraproject.org/pub/fedora/linux/releases/15/Fedora/x86_64/os/ resolved to http://download.fedora.devel.redhat.com/pub/fedora/linux/releases/15/Fedora/x86_64/os/
2011-09-19 03:16:43,446 DEBUG imagefactory.builders.BaseBuilder.FedoraBuilder pid(3446) Message: Being asked to push for provider ec2-us-east-1
2011-09-19 03:16:43,447 DEBUG imagefactory.builders.BaseBuilder.FedoraBuilder pid(3446) Message: distro: Fedora - update: 15 - arch: x86_64
2011-09-19 03:16:43,448 DEBUG imagefactory.builders.BaseBuilder.FedoraBuilder pid(3446) Message: Exception caught in ImageFactory
2011-09-19 03:16:43,470 DEBUG imagefactory.builders.BaseBuilder.FedoraBuilder pid(3446) Message: Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/imagefactory/builders/FedoraBuilder.py", line 499, in push_image
    self.push_image_snapshot(target_image_id, provider, credentials)
  File "/usr/lib/python2.7/site-packages/imagefactory/builders/FedoraBuilder.py", line 511, in push_image_snapshot
    self.push_image_snapshot_ec2(target_image_id, provider, credentials)
  File "/usr/lib/python2.7/site-packages/imagefactory/builders/FedoraBuilder.py", line 637, in push_image_snapshot_ec2
    self.ec2_decode_credentials(credentials)
  File "/usr/lib/python2.7/site-packages/imagefactory/builders/FedoraBuilder.py", line 1065, in ec2_decode_credentials
    doc = libxml2.parseDoc(credentials)
  File "/usr/lib64/python2.7/site-packages/libxml2.py", line 1263, in parseDoc
    if ret is None:raise parserError('xmlParseDoc() failed')
parserError: xmlParseDoc() failed

2011-09-19 03:16:43,470 DEBUG imagefactory.BuildJob.BuildAdaptor pid(3446) Message: Raising event with agent handler (<ImageFactoryAgent(Thread-1, initial)>), changed status from NEW to FAILED



Expected results:


Additional info:
[root@dell-pe2850-04 nodes]# rpm -qa  | grep aeolus
aeolus-configure-2.0.2-4.20110916125556git5a94390.fc15.noarch
aeolus-conductor-0.4.0-0.20110916175452git9d14599.fc15.noarch
aeolus-conductor-daemons-0.4.0-0.20110916175452git9d14599.fc15.noarch
aeolus-conductor-doc-0.4.0-0.20110916175452git9d14599.fc15.noarch
rubygem-aeolus-image-0.1.0-3.20110914104314gitb6195f6.fc15.noarch
aeolus-all-0.4.0-0.20110916175452git9d14599.fc15.noarch

Comment 1 Jan Provaznik 2011-09-19 09:47:34 UTC
This is probably because of switching to warden. Going to try to enable http basic auth in warden.

Comment 2 Dave Johnson 2011-09-19 15:57:53 UTC
Same thing happens on rhevm

2011-09-19 11:30:57,045 DEBUG imagefactory.qmfagent.ImageFactoryAgent.ImageFactoryAgent pid(31021) Message: Method called: name = push_image
 args = {'credentials': '<!DOCTYPE html>\n<html lang=\'en\' xml:lang=\'en\'>\n<head>\n<meta charset=\'utf-8\'>\n<title>Aeolus Conductor : Login</title>\n<link href="/conductor/stylesheets/reset.css?1316196013" media="screen" rel="stylesheet" type="text/css" />\n<link href="/conductor/stylesheets/compiled/login.css?1316196016" media="screen" rel="stylesheet" type="text/css" />\n<!--[if lt IE 9]>\n<script src="http://html5shiv.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>\n<link href="/conductor/stylesheets/layout_ie.css?1316196013" media="screen" rel="stylesheet" type="text/css" />\n<![endif]-->\n<script src="/conductor/javascripts/jquery-1.6.1.min.js?1316196014" type="text/javascript"></script>\n<script src="/conductor/javascripts/jquery.showpassword.js?1316196014" type="text/javascript"></script>\n<script src="/conductor/javascripts/rails.js?1316196014" type="text/javascript"></script>\n<meta name="csrf-param" content="authenticity_token"/>\n<meta name="csrf-token" content="6vRukFA3NOi7JpzexKrorvY8H6rcbzcsmUvUahnqK1w="/>\n\n</head>\n<body id=\'auth\'>\n<div id=\'stage\'>&nbsp;</div>\n<div id=\'primary-container\'>\n<div class=\'error\'>\n<p class=\'text\'>Login failed: The Username and Password you entered do not match</p>\n</div>\n<script>\n  //<![CDATA[\n    /* todo: cleanup soon */\n    $(document).ready(function() {\n      $(\'#password-input\').showPassword({\'checkbox\':\'#reveal\'});\n      $(\'#username\').focus(); // bring the username to focus\n    \n      $(\'#help-btn\').click(function(){ alert(\'Help functionality is not yet available.\'); });\n    \n      $(\'#security-btn\').click(function(){\n        $(\'#login\').hide();\n        $(\'#security\').animate({ \'left\': 0, \'width\': 502 },{queue:false,duration:150});\n      });\n    \n      $(\'#show-login\').click(function(){\n        $(\'#security\').animate({ \'left\': -$(\'#security\').outerWidth() + 143, \'width\': 500 },{queue:false,duration:150});\n        $(\'#login\').show();\n      });\n    \n      $(\'#new_user_session\').submit(function() {\n        $(\'#progress-indicator\').show();\n        var form_data = $(this).serialize(); /* serialize() is sensitive to disabled elements */\n        $(\'#login input\').each(function(){ $(this).attr(\'disabled\', true); });\n        $.ajax({\n          url: this.action,\n          type: \'POST\',\n          accepts: { html: "application/javascript" },\n          dataType: \'html\',\n          data: form_data,\n          success: function(data, textStatus, jqXHR) {\n            if(jqXHR.status === 201) window.location = data;\n            else window.location.reload();\n          },\n          error: function(response) {\n            //TODO: for some reason error connection errors are not handled by \'error\' callback,\n            //what\'s worse jquery sets \'textStatus\' to success, if we want to catch connection errors\n            //we will have to check if status code == 0 in \'complete\' callback\n            $(\'#error-content\').remove();\n            $(\'#primary-container\').prepend(\'<div id="error-content" class="error" style="opacity: 0; position: relative;"></div>\');\n            var text = $.isEmptyObject(response.responseText) ? response.statusText : response.responseText;\n            if(response.status !== 401) text = "Internal Server Error";\n            $(\'#error-content\').html(\'<p class="text">\' + text  + \'</p>\');\n            $(\'#error-content\').animate({ \'opacity\': 1, \'top\': -10 },{queue:false,duration:150});\n            $(\'#progress-indicator\').hide();\n            $(\'#login input\').each(function(){ $(this).removeAttr(\'disabled\'); });\n          },\n        });\n        return false;\n      });\n    })\n  //]]>\n</script>\n<div id=\'card-surround\'>\n<div id=\'card\'>\n<div class=\'panel\' id=\'security\'>\n<header class=\'unsecure\'>\n<h1>Unencrypted Connection</h1>\n</header>\n<div class=\'content\'>\n<p>\nYour connection to Aeolus Conductor at localhost is currently unencrypted. This could lead to potential theft of sensitive information.\n</p>\n<p>\nIf you believe this to be an error, please do not attempt to login; contact your system administrator immediately.\n</p>\n<p>\n<input class=\'button\' id=\'show-login\' type=\'button\' value=\'Return to Login\'>\n</p>\n</div>\n<img alt="Login-card-logo-upstream" id="logo" src="/conductor/images/login-card-logo-upstream.png?1316196014" />\n</div>\n\n<div class=\'panel\' id=\'login\'>\n<div class=\'content\'>\n<form accept-charset="UTF-8" action="/conductor/user_session" id="new_user_session" method="post"><div style="margin:0;padding:0;display:inline"><input name="utf8" type="hidden" value="&#x2713;" /><input name="authenticity_token" type="hidden" value="6vRukFA3NOi7JpzexKrorvY8H6rcbzcsmUvUahnqK1w=" /></div>\n<fieldset class=\'primary\'>\n<label for="login">Username:</label>\n<input class="username" id="login" name="login" type="text" />\n</fieldset>\n<fieldset class=\'primary\'>\n<label for="password">Password:</label>\n<input class="password" id="password-input" name="password" type="password" />\n</fieldset>\n<fieldset class=\'reveal_pass\'>\n<input id=\'reveal\' type=\'checkbox\'>\n<label for=\'reveal\'>Show my password</label>\n</fieldset>\n<div class=\'group bottom left\'>\n<div class=\'options\'>\n<a class=\'help\' href=\'#\' id=\'help-btn\'>\n<span>Login Assistance</span>\n</a>\n<a class=\'security\' href=\'#\' id=\'security-btn\'>\n<span>Security Info</span>\n</a>\n</div>\n</div>\n<div class=\'group bottom submit\'>\n<img alt="Working..." id="progress-indicator" src="/conductor/images/login-spinner.gif?1316196013" />\n<input class="button" id="login-btn" name="commit" type="submit" value="Login" />\n</div>\n</form>\n\n</div>\n</div>\n</div>\n</div>\n\n</div>\n</body>\n</html>\n', 'image': '692e0308-cb94-4eb5-9ac3-6cc5c58152f1', 'build': '', 'providers': ['rhevm']}

Comment 3 wes hayutin 2011-09-20 01:38:49 UTC
recreated on another build..
2011-09-19 21:11:27,626 DEBUG imagefactory.builders.BaseBuilder.RHEL6Builder pid(2791) Message: Being asked to push for provider ec2-us-east-1
2011-09-19 21:11:27,626 DEBUG imagefactory.builders.BaseBuilder.RHEL6Builder pid(2791) Message: distro: RHEL-6 - update: 1 - arch: x86_64
2011-09-19 21:11:27,651 DEBUG imagefactory.builders.BaseBuilder.RHEL6Builder pid(2791) Message: Exception caught in ImageFactory
2011-09-19 21:11:27,710 DEBUG imagefactory.builders.BaseBuilder.RHEL6Builder pid(2791) Message: Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/imagefactory/builders/FedoraBuilder.py", line 499, in push_image
    self.push_image_snapshot(target_image_id, provider, credentials)
  File "/usr/lib/python2.7/site-packages/imagefactory/builders/FedoraBuilder.py", line 511, in push_image_snapshot
    self.push_image_snapshot_ec2(target_image_id, provider, credentials)
  File "/usr/lib/python2.7/site-packages/imagefactory/builders/FedoraBuilder.py", line 637, in push_image_snapshot_ec2
    self.ec2_decode_credentials(credentials)
  File "/usr/lib/python2.7/site-packages/imagefactory/builders/FedoraBuilder.py", line 1065, in ec2_decode_credentials
    doc = libxml2.parseDoc(credentials)
  File "/usr/lib64/python2.7/site-packages/libxml2.py", line 1263, in parseDoc
    if ret is None:raise parserError('xmlParseDoc() failed')
parserError: xmlParseDoc() failed

2011-09-19 21:11:27,710 DEBUG imagefactory.BuildJob.BuildAdaptor pid(2791) Message: Raising event with agent handler (<ImageFactoryAgent(Thread-1, initial)>), changed status from NEW to FAILED

[root@unused ~]# rpm -qa | grep aeolus
aeolus-conductor-doc-0.4.0-0.20110919181505git369190d.fc15.noarch
aeolus-configure-2.0.2-4.20110916125556git5a94390.fc15.noarch
aeolus-conductor-0.4.0-0.20110919181505git369190d.fc15.noarch
aeolus-conductor-daemons-0.4.0-0.20110919181505git369190d.fc15.noarch
aeolus-all-0.4.0-0.20110919181505git369190d.fc15.noarch
rubygem-aeolus-image-0.1.0-3.20110919115936gitd1d24b4.fc15.noarch
[root@unused ~]# rpm -qa | grep deltacloud
deltacloud-core-vsphere-0.4.0-3.fc15.noarch
rubygem-deltacloud-client-0.4.0-2.fc15.noarch
deltacloud-core-ec2-0.4.0-3.fc15.noarch
deltacloud-core-rhevm-0.4.0-3.fc15.noarch
libdeltacloud-0.9-1.fc15.x86_64
deltacloud-core-0.4.0-3.fc15.noarch
condor-deltacloud-gahp-7.7.0-0.7.fc15.x86_64

Comment 12 wes hayutin 2011-09-22 01:01:48 UTC
This bug is still blocking 


2011-09-21 20:57:15,276 DEBUG imgfac.builders.BaseBuilder.RHEL6_ec2_Builder pid(4586) Message: distro: RHEL-6 - update: 1 - arch: x86_64
2011-09-21 20:57:15,304 DEBUG imgfac.builders.BaseBuilder.RHEL6_ec2_Builder pid(4586) Message: Exception caught in ImageFactory
2011-09-21 20:57:15,323 DEBUG imgfac.builders.BaseBuilder.RHEL6_ec2_Builder pid(4586) Message: Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/imgfac/builders/Fedora_ec2_Builder.py", line 425, in push_image
    credentials)
  File "/usr/lib/python2.7/site-packages/imgfac/builders/Fedora_ec2_Builder.py", line 473, in push_image_snapshot_ec2
    self.ec2_decode_credentials(credentials)
  File "/usr/lib/python2.7/site-packages/imgfac/builders/Fedora_ec2_Builder.py", line 714, in ec2_decode_credentials
    doc = libxml2.parseDoc(credentials)
  File "/usr/lib64/python2.7/site-packages/libxml2.py", line 1263, in parseDoc
    if ret is None:raise parserError('xmlParseDoc() failed')
parserError: xmlParseDoc() failed

2011-09-21 20:57:15,323 DEBUG imgfac.BuildJob.BuildAdaptor pid(4586) Message: Raising event with agent handler (<ImageFactoryAgent(Thread-1, initial)>), changed status from NEW to FAILED

[root@unused ~]# rpm -qa | grep aeolus
aeolus-conductor-0.4.0-0.20110921152740gitac47a38.fc15.noarch
rubygem-aeolus-image-0.1.0-3.20110919115936gitd1d24b4.fc15.noarch
aeolus-conductor-daemons-0.4.0-0.20110921152740gitac47a38.fc15.noarch
aeolus-all-0.4.0-0.20110921152740gitac47a38.fc15.noarch
aeolus-configure-2.0.2-4.20110921102958gitcaa9608.fc15.noarch
aeolus-conductor-doc-0.4.0-0.20110921152740gitac47a38.fc15.noarch
[root@unused ~]#

Comment 13 Jan Provaznik 2011-09-22 07:53:46 UTC
Patch is pushed to master branch, commit: a1a298b39043bc45c21414ba67338c7362696d68

Comment 14 wes hayutin 2011-09-22 16:39:37 UTC
This patch is not in aeolus-image... which git repo was the code committed to?


2011-09-22 12:33:15,074 DEBUG imgfac.builders.BaseBuilder.RHEL6_ec2_Builder pid(4586) Message: Exception caught in ImageFactory
2011-09-22 12:33:15,107 DEBUG imgfac.builders.BaseBuilder.RHEL6_ec2_Builder pid(4586) Message: Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/imgfac/builders/Fedora_ec2_Builder.py", line 425, in push_image
    credentials)
  File "/usr/lib/python2.7/site-packages/imgfac/builders/Fedora_ec2_Builder.py", line 473, in push_image_snapshot_ec2
    self.ec2_decode_credentials(credentials)
  File "/usr/lib/python2.7/site-packages/imgfac/builders/Fedora_ec2_Builder.py", line 714, in ec2_decode_credentials
    doc = libxml2.parseDoc(credentials)
  File "/usr/lib64/python2.7/site-packages/libxml2.py", line 1263, in parseDoc
    if ret is None:raise parserError('xmlParseDoc() failed')
parserError: xmlParseDoc() failed

2011-09-22 12:33:15,107 DEBUG imgfac.BuildJob.BuildAdaptor pid(4586) Message: Raising event with agent handler (<ImageFactoryAgent(Thread-1, initial)>), changed status from NEW to FAILED
[root@unused aeolus-image]# rpm -qa | grep aeolus-image
rubygem-aeolus-image-0.1.0-3.20110922120732gita0b9a44.fc15.noarch
[root@unused aeolus-image]# 


[root@unused aeolus-image]# git log
commit a0b9a44f19c8ba282d510ea17667f3295b80b619
Author: Matt Wagner <matt.wagner@redhat.com>
Date:   Mon Sep 19 16:58:30 2011 -0400

    Don't set :body in attrs
    
    Not only is this causing problems and not used by anything, but
    it's not clear to me that this is something we'd even want to do.

commit d1d24b441f6cc4dca3a9843d91f07294b7b69470
Author: Steve Linabery <slinaber@redhat.com>
Date:   Mon Sep 19 11:30:38 2011 -0500

    Fix rpm spec to remove unneeded .yardoc directory
    
    This directory is not needed, so nuke it.

commit 38578267fa2344f2d431d1c2936fe55278a94d82
Author: Chris Lalancette <clalance@redhat.com>
Date:   Fri Sep 16 09:50:53 2011 -0400

    Make sure the COPYING file ends up in the RPM.
    
    Signed-off-by: Chris Lalancette <clalance@redhat.com>

Comment 15 Jan Provaznik 2011-09-22 17:02:48 UTC
ah, sry, I didn't notice this is marked as aeolus-image bug in bugzilla , it's actually conductor bug so patch is pushed to conductor repo

Comment 16 wes hayutin 2011-09-22 17:16:17 UTC
pulled conductor.. testing now

Comment 17 wes hayutin 2011-09-22 17:35:32 UTC
OK.. the conductor code fix works..

building ec2 will fail due to some recent RHUI changes.
We need to rebuild the JEOS..




 target parameters for cloud type vsphere', 'object_type': 'target_image', 'target': 'vsphere', 'build': '3033f908-1182-44e7-9239-177d4fea2638'}) for http://localhost:9090/target_images/0c54298e-1720-47a0-863f-87600cc08cb0
2011-09-22 13:22:54,513 DEBUG imgfac.builders.BaseBuilder.RHEL6_vsphere_Builder pid(14690) Message: Image warehouse storage complete
2011-09-22 13:22:54,513 DEBUG imgfac.BuildJob.BuildAdaptor pid(14690) Message: Raising event with agent handler (<ImageFactoryAgent(Thread-1, initial)>), changed percent complete from 50 to 100
2011-09-22 13:22:54,514 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: Getting metadata (['latest_unpushed']) from http://localhost:9090/images/71ebe022-b4eb-4e37-97e9-344f08208ad4
2011-09-22 13:22:54,515 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: Getting metadata (['latest_build']) from http://localhost:9090/images/71ebe022-b4eb-4e37-97e9-344f08208ad4
2011-09-22 13:22:54,517 DEBUG imgfac.ImageWarehouse.ImageWarehouse pid(14690) Message: Setting metadata ({'latest_unpushed': '3033f908-1182-44e7-9239-177d4fea2638'}) for http://localhost:9090/images/71ebe022-b4eb-4e37-97e9-344f08208ad4
2011-09-22 13:22:54,519 DEBUG imgfac.BuildJob.BuildAdaptor pid(14690) Message: Raising event with agent handler (<ImageFactoryAgent(Thread-1, initial)>), changed status from BUILDING to COMPLETED
2011-09-22 13:24:33,738 DEBUG imgfac.qmfagent.ImageFactoryAgent.ImageFactoryAgent pid(14690) Message: Method called: name = push_image 
 args = {'credentials': '*** REDACTED ***', 'image': '34e26810-c0d6-4db3-90db-ae50788c2824', 'build': '', 'providers': ['ec2-us-east-1']} 
 handle = <cqmf2.AgentEvent; proxy of <Swig Object of type 'qmf::AgentEvent *' at 0xfafde0> > 
 addr = redhat.com:imagefactory:cc25bb70-c534-421a-81ee-0cb725e51db6:image_factory 
 subtypes = {} 

JEOS ERROR

erminated'. [295 of 300 seconds elapsed]
2011-09-22 13:31:26,238 DEBUG imgfac.builders.BaseBuilder.RHEL6_ec2_Builder pid(14690) Message: Exception caught in ImageFactory
2011-09-22 13:31:26,301 DEBUG imgfac.builders.BaseBuilder.RHEL6_ec2_Builder pid(14690) Message: Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/imgfac/builders/Fedora_ec2_Builder.py", line 425, in push_image
    credentials)
  File "/usr/lib/python2.7/site-packages/imgfac/builders/Fedora_ec2_Builder.py", line 581, in push_image_snapshot_ec2
    self.install_euca_tools(guestaddr)
  File "/usr/lib/python2.7/site-packages/imgfac/builders/RHEL6_ec2_Builder.py", line 45, in install_euca_tools
    self.guest.guest_execute_command(guestaddr, "yum -y install euca2ools")
  File "/usr/lib/python2.7/site-packages/oz/RedHat.py", line 463, in guest_execute_command
    command, timeout)
  File "/usr/lib/python2.7/site-packages/oz/ozutil.py", line 332, in ssh_execute_command
    "root@" + guestaddr, command])
  File "/usr/lib/python2.7/site-packages/oz/ozutil.py", line 310, in subprocess_check_output
    raise SubprocessException("'%s' failed(%d): %s" % (cmd, retcode, stderr), retcode)
SubprocessException: 'ssh -i /tmp/tmpxYCJQd -F /dev/null -o ServerAliveInterval=30 -o StrictHostKeyChecking=no -o ConnectTimeout=10 -o UserKnownHostsFile=/dev/null -o PasswordAuthentication=no root@ec2-50-17-23-173.compute-1.amazonaws.com yum -y install euca2ools' failed(1): Warning: Permanently added 'ec2-50-17-23-173.compute-1.amazonaws.com,50.17.23.173' (RSA) to the list of known hosts.
https://rhui.us-east-1.aws.ce.redhat.com/rhuilb/content/dist/rhel/rhui/server-6/releases/6Server/x86_64/os/repodata/repomd.xml: [Errno 14] Peer cert cannot be verified or peer cert invalid
Trying other mirror.
Error: Cannot retrieve repository metadata (repomd.xml) for repository: rhui-us-east-rhel-server-releases. Please verify its path and try again

Comment 18 Dave Maley 2011-09-28 20:25:25 UTC
I pulled down the latest conductor bits from git, which contains the above mentioned fix, however I'm still seeing the same tracebacks from comment 12 and comment 14.  Is there something further needed to get past this bug?


[dave@sideshowbob ~]$ rpm -qa | grep aeolus
aeolus-configure-2.0.2-4.20110923140029gitff33f9b.fc15.noarch
aeolus-conductor-daemons-0.4.0-0.20110928172919gitaffcd9c.fc15.noarch
rubygem-aeolus-image-0.1.0-3.20110919115936gitd1d24b4.fc15.noarch
aeolus-all-0.4.0-0.20110928172919gitaffcd9c.fc15.noarch
aeolus-conductor-0.4.0-0.20110928172919gitaffcd9c.fc15.noarch
aeolus-conductor-doc-0.4.0-0.20110928172919gitaffcd9c.fc15.noarch

Comment 19 Dave Johnson 2011-09-29 19:30:41 UTC
Dave,

I *think* if you run 'gem install warden' it will work.  This should be laid down with aeolus-configure but even in the latest one, aeolus-configure-2.0.2-4.20110928090214git4df04ad.fc15.noarch, it doesn't seem to be doing that.

Can you confirm that it will work after installing that gem?

-Dave

Comment 20 Dave Maley 2011-09-29 19:38:34 UTC
Thanks Dave however I do already have the warden gem installed.


Note You need to log in before you can comment on or make changes to this bug.